Jira 5 plugin in Jira 4

Hello friends!, i dev a plugin on Jira 5 version using the java api, works fine but when using the plugin in jira 4 version, i have an exception on java with VersionManager class, Is it a version compatibility problem? Or the code should be perfectly compatible?, sorry for my English.

3 answers

1 accepted

1 vote
Accepted answer

Yep. After that just run atlas-package to check for compile errors. In none will bw found, you can check if your plugin work correctly.

Another option to set Jira version is via parameter:

atlas-debug --version 4.4

Thats compile, im waiting download the jira 4.4.4 version, I notice that such!

Works! I replaced some classes news in jira 5, thanks!

As far, as I know, API for plugins changed drammatically from 4 to 5 version. You can set Jira version in your pom.xml

<properties>
    <jira.version>5.0.4</jira.version>
    <amps.version>3.9.1</amps.version>
</properties>

and check, whether it works fine. If not, you can fix errors, that arise.

Hope, it helped.

Also, you can be interested in developers docs for migrating from 4 to 5

<properties>

<jira.version>5.0</jira.version>

<amps.version>3.10.2</amps.version>

</properties>

This is my pom.xml, Do you suggest is to replace the jira version of 4 and test if it works?

check your plugin on checkup.atlassian.com you will come know what is causing this .

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted yesterday in United States

Administrators Cleanup

Good morning, After a long weekend cleaning up, I am still in the cleanup mode 😊. I am curious to know: When do you feel the urgency to cleanup your Atlassian Tools? How many times do y...

44 views 1 1
View post

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you